# Attributes

interface Attributes : Map<K, V>

Represent the attributes of a manifest section.

## Functions

clear
Link copied to clipboard
abstract fun clear()
compute
Link copied to clipboard
open fun compute(p: K, p1: BiFunction<in K, in V, out V>): V
computeIfAbsent
Link copied to clipboard
open fun computeIfAbsent(p: K, p1: (in K) -> out V): V
computeIfPresent
Link copied to clipboard
open fun computeIfPresent(p: K, p1: BiFunction<in K, in V, out V>): V
containsKey
Link copied to clipboard
abstract fun containsKey(p: Any): Boolean
containsValue
Link copied to clipboard
abstract fun containsValue(p: Any): Boolean
copyOf
Link copied to clipboard
open fun <K, V> copyOf(p: Map<out K, out V>): Map<K, V>
entry
Link copied to clipboard
open fun <K, V> entry(p: K, p1: V): Map.Entry<K, V>
entrySet
Link copied to clipboard
abstract fun entrySet(): Set<Map.Entry<K, V>>
equals
Link copied to clipboard
abstract fun equals(p: Any): Boolean
forEach
Link copied to clipboard
open fun forEach(p: BiConsumer<in K, in V>)
get
Link copied to clipboard
abstract fun get(p: Any): V
getOrDefault
Link copied to clipboard
open fun getOrDefault(p: Any, p1: V): V
hashCode
Link copied to clipboard
abstract fun hashCode(): Int
isEmpty
Link copied to clipboard
abstract fun isEmpty(): Boolean
keySet
Link copied to clipboard
abstract fun keySet(): Set<K>
merge
Link copied to clipboard
open fun merge(p: K, p1: V, p2: BiFunction<in V, in V, out V>): V
of
Link copied to clipboard
open fun <K, V> of(): Map<K, V>
ofEntries
Link copied to clipboard
open fun <K, V> ofEntries(p: Array<Map.Entry<out K, out V>>): Map<K, V>
put
Link copied to clipboard
abstract fun put(p: K, p1: V): V
putAll
Link copied to clipboard
abstract fun putAll(p: Map<out K, out V>)
putIfAbsent
Link copied to clipboard
open fun putIfAbsent(p: K, p1: V): V
remove
Link copied to clipboard
abstract fun remove(p: Any): V
open fun remove(p: Any, p1: Any): Boolean
replace
Link copied to clipboard
open fun replace(p: K, p1: V): V
open fun replace(p: K, p1: V, p2: V): Boolean
replaceAll
Link copied to clipboard
open fun replaceAll(p: BiFunction<in K, in V, out V>)
size
Link copied to clipboard
abstract fun size(): Int
values
Link copied to clipboard
abstract fun values(): Collection<V>